#!/usr/bin/perl -w -I/usr/sausalito/perl -I.
# $Id: am_construct.pl,v 1.6.2.1 2002/02/15 21:58:49 jcheng Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.

use strict;
use CCE;

my ($cce, @oids);
my $oid = 0;
my $success = 0;

$cce = new CCE;
$cce->connectuds();

# check if AM exists already
@oids = $cce->find("ActiveMonitor");
if ($#oids >= 0) {
	# check if it is exactly 1 
	if ($#oids > 0) {
		#FIXME: cleanup in the case of a screwup
		print STDERR "We already have " . length(@oids) 
			. " ActiveMonitor object(s)\n";
	}
	$success = 1;
	$oid = $oids[0];
} else {
	# add
	($success) = $cce->create("ActiveMonitor", 
		{ alertEmailList => "admin",
		  enabled => 1});

	if ($success) {
		@oids = $cce->find("ActiveMonitor");
		if ($#oids >= 0) {
			$oid = $oids[0];
			$success = 1;
		} else {
			$success = 0;
		}
	}
}

# failed?
if(!$success) {
  print STDERR "Constructor for ActiveMonitor failed\n";
  $cce->bye();
  exit 1;
}

# clear old data on EVERY reboot 
my @names;
($success, @names) = $cce->names($oid);
foreach $_ (@names) {
	$cce->set($oid, $_, {
		currentState => "N",
		currentMessage => "",
		lastChange => time()});
}

$cce->bye();

exit 0;
