#!/usr/bin/perl -w -I/usr/sausalito/perl -I.
# $Id: am_fans_support.pl,v 1.3 2001/08/17 01:48:44 jcheng Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.

use strict;
use CCE;

my ($cce, @oids);
my $oid = 0;
my $success = 0;
my $ok;

$cce = new CCE;
$cce->connectuds();

# check if AM exists already
@oids = $cce->find("ActiveMonitor");
if ($#oids >= 0) {
    $oid = $oids[0];
    
    # if file exists, check for support by reading it
    # if it doesn't exist, we have no support
    if ( -e "/proc/cobalt/faninfo" ) {
	my $faninfo = `cat /proc/cobalt/faninfo`;
	if ($faninfo =~ /not supported/) {
	    ($ok) = $cce->set($oid, 'Fans', { 'hideUI' => 1, 'enabled' => 0});
	    if (not $ok) {
		print STDERR "Constructor for Fans failed when hiding amFans\n";
		$cce->bye();
		exit 1;
	    }
	} else {
	    ($ok) = $cce->set($oid, 'Fans', { 'hideUI' => 0, 'enabled' => 1});
	    if (not $ok) {
		print STDERR "Constructor for Fans failed when enabling fans\n";
		$cce->bye();
		exit 1;
	    }
	}
    } else {
	($ok) = $cce->set($oid, 'Fans', { 'hideUI' => 1, 'enabled' => 0});
	if (not $ok) {
	    print STDERR "Constructor for Fans failed when hiding amFans\n";
	    $cce->bye();
	    exit 1;
	}
    }
}

$cce->bye();

exit 0;
